Package org.apache.batchee.jmx

## Class BatchEE

- java.lang.Object
- - org.apache.batchee.jmx.BatchEE

- All Implemented Interfaces:
    `BatchEEMBean`

      public class BatchEE
      extends Object
      implements BatchEEMBean

- - ### Field Summary

    - ### Fields inherited from interface org.apache.batchee.jmx.BatchEEMBean

      `DEFAULT_OBJECT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchEE​(BatchEEMBean delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abandon​(long executionId)` |
    `TabularData` | `getJobExecution​(long executionId)` |
    `TabularData` | `getJobExecutions​(long id, String name)` |
    `TabularData` | `getJobInstance​(long executionId)` |
    `int` | `getJobInstanceCount​(String jobName)` |
    `TabularData` | `getJobInstances​(String jobName, int start, int count)` |
    `String[]` | `getJobNames()` |
    `TabularData` | `getParameters​(long executionId)` |
    `Long[]` | `getRunningExecutions​(String jobName)` |
    `TabularData` | `getStepExecutions​(long jobExecutionId)` |
    `long` | `restart​(long executionId, String restartParameters)` |
    `long` | `start​(String jobXMLName, String jobParameters)` |
    `void` | `stop​(long executionId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchEE

          public BatchEE​(BatchEEMBean delegate)

  - ### Method Detail

    - #### getJobNames

          public String[] getJobNames()

      Specified by:
        `getJobNames` in interface `BatchEEMBean`

    - #### getJobInstanceCount

          public int getJobInstanceCount​(String jobName)

      Specified by:
        `getJobInstanceCount` in interface `BatchEEMBean`

    - #### getJobInstances

          public TabularData getJobInstances​(String jobName,
                                             int start,
                                             int count)

      Specified by:
        `getJobInstances` in interface `BatchEEMBean`

    - #### getRunningExecutions

          public Long[] getRunningExecutions​(String jobName)

      Specified by:
        `getRunningExecutions` in interface `BatchEEMBean`

    - #### getParameters

          public TabularData getParameters​(long executionId)

      Specified by:
        `getParameters` in interface `BatchEEMBean`

    - #### getJobInstance

          public TabularData getJobInstance​(long executionId)

      Specified by:
        `getJobInstance` in interface `BatchEEMBean`

    - #### getJobExecutions

          public TabularData getJobExecutions​(long id,
                                              String name)

      Specified by:
        `getJobExecutions` in interface `BatchEEMBean`

    - #### getJobExecution

          public TabularData getJobExecution​(long executionId)

      Specified by:
        `getJobExecution` in interface `BatchEEMBean`

    - #### getStepExecutions

          public TabularData getStepExecutions​(long jobExecutionId)

      Specified by:
        `getStepExecutions` in interface `BatchEEMBean`

    - #### start

          public long start​(String jobXMLName,
                            String jobParameters)

      Specified by:
        `start` in interface `BatchEEMBean`

    - #### restart

          public long restart​(long executionId,
                              String restartParameters)

      Specified by:
        `restart` in interface `BatchEEMBean`

    - #### stop

          public void stop​(long executionId)

      Specified by:
        `stop` in interface `BatchEEMBean`

    - #### abandon

          public void abandon​(long executionId)

      Specified by:
        `abandon` in interface `BatchEEMBean`